This URL deletes the scanning exception on a Sensor.
Resource URL
DELETE /sensor/<sensor_id>/scanningexception
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| sensor_id | Sensor id | Number | Yes |
Payload Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| ScanningExceptionDeleteElement | Object that contains the details of the field to be sent | Object | Yes |
Details of fields in ScanningExceptionResponseElement:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| tcpPortRangeElement | Object containing TCP port range | Object | No |
| udpPortRangeElement | Object containing UDP port range | Object | No |
| vlanIdRangeElement | Object containing VLAN id range | Object | No |
Either of the above three fields be provided at a time.
Details of fields in tcpPortRangeElement:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| tcpPortRange | TCP port range in format "from-to" | String | Yes |
Details of fields in udpPortRangeElement:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| udpPortRange | UDP port range in format "from-to" | String | Yes |
Details of fields in vlanIdRangeElement:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| vlanIdRange | Vlan Id range in format "from-to" | String | Yes |
| portPairName | Name of the port pair | String | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| status | Set to 1 if the operation was successful, -1 otherwise | Number |
Example
Request
DELETE https://<NSM_IP>/sdkapi/sensor/<sensor_id>/scanningexception
Payload
{
"tcpPortRangeElement":
{
"tcpPortRange":"10-20"
}
}
Response
{
"status": 1
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 400 | 1501 | Scanning exception is not supported for the specified Sensor |
| 2 | 400 | 1106 | Invalid Sensor |
| 3 | 400 | 1503 | Provided settings does not exists |